Namespace
library
Image / Tag
consul:1.11.6
Content Digest
sha256:b046770864f58edfa6bb58640677396a66a29efb6e193c973d7f87e15ee6f6fe
Details
Created

2022-05-27 00:39:09 UTC

Size

40.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.11.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:73b28a5955ec7fb46f2cf0434e4901a889f7dda3f8c9ec496300feb256c7eda8 - 6.59% (2.69 MB)

[#001] sha256:8d34b2565dddd8974c730d5af54f509ee50cfb6d9150881c729bbb26c1b8a379 - 0.0% (1.21 KB)

[#002] sha256:f1cb6e27b14314d886c6a79d95260c810a54c07ea459e79ca2fffea750659f83 - 93.41% (38.1 MB)

[#003] sha256:f5cc8573ff1def4c80e27e3ae25127f055133980ce5426eec42f936e691dcadb - 0.0% (142 Bytes)

[#004] sha256:51bc9dc0db4f165da6b0a8d12ad2eae4da64cd2637fffdadc03f9f2aafc0e1bf - 0.0% (155 Bytes)

[#005] sha256:0646ae57c861d1c725052453c1da30c52f223124884404f481fd6de1b3fb8844 - 0.0% (1.75 KB)


History
2022-04-04 23:38:25 UTC

/bin/sh -c #(nop) ADD file:7d51a0f8691eb78c9062fd31984423a93d276a67b4ed5d1a706e1c2cd9fea23a in /

2022-04-04 23:38:25 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-05-27 00:38:52 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.6

2022-05-27 00:38:53 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-05-27 00:38:54 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-05-27 00:38:55 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-05-27 00:39:01 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-05-27 00:39:01 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-05-27 00:39:02 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-05-27 00:39:03 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-05-27 00:39:04 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-05-27 00:39:05 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-05-27 00:39:06 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-05-27 00:39:08 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-05-27 00:39:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-05-27 00:39:09 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-05-27 00:19:45 UTC

Size

42 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.11.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df9b9388f04ad6279a7410b85cedfdcb2208c0a003da7ab5613af71079148139 - 6.4% (2.68 MB)

[#001] sha256:8e060967d83fd13054eac8345ce33089f36ef96a9212da4441d9e9e0f1aae715 - 0.0% (1.24 KB)

[#002] sha256:8afc5de97f6f148731fc215772200fbb798431083eaa19a9c1acd888d1d8533d - 93.6% (39.3 MB)

[#003] sha256:0eadbb99bd2de2f202eaf541edc8509c5d23027eb0a2cb55feb3735ac447521c - 0.0% (175 Bytes)

[#004] sha256:6b8f98fca8aa52f1c60d7e9efe3865288c4026683209895a0f9eae9bf48414aa - 0.0% (152 Bytes)

[#005] sha256:982c5b7b1b2d73a8554dbd4769e697db52a63952f1c37b89bc6cba7b4104309c - 0.0% (1.74 KB)


History
2022-04-05 00:19:59 UTC

/bin/sh -c #(nop) ADD file:5d673d25da3a14ce1f6cf66e4c7fd4f4b85a3759a9d93efb3fd9ff852b5b56e4 in /

2022-04-05 00:19:59 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-05-27 00:19:37 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.6

2022-05-27 00:19:37 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-05-27 00:19:37 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-05-27 00:19:37 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-05-27 00:19:43 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-05-27 00:19:44 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-05-27 00:19:44 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-05-27 00:19:44 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-05-27 00:19:45 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-05-27 00:19:45 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-05-27 00:19:45 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-05-27 00:19:45 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-05-27 00:19:45 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-05-27 00:19:45 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-05-26 23:50:31 UTC

Size

39.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.11.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c319b1fc4ed70b8241a7ce6ac0c4015d354bf5cf8c01eb73c50b6709c0c46e49 - 6.28% (2.5 MB)

[#001] sha256:5455d64af8ec5ece27e3defed7b2381775bf872f113f6dffa9fc12de2284a349 - 0.0% (1.24 KB)

[#002] sha256:2e2ec5f53771ec91089cc7efebaa218b65a0650a3255b1b758b83b090a38642c - 93.71% (37.3 MB)

[#003] sha256:4448084cb407eacd57aa5a72bfe67a130e39d278e0eecb8c61c6ad06f586f951 - 0.0% (174 Bytes)

[#004] sha256:9dd01ffbfd7795bb3a1c5e188edbf58496ae2e8b8211e38e615a1c0642bca99e - 0.0% (152 Bytes)

[#005] sha256:6db437298dcbbf73af4a6d80916ad40afe55eee4dd3c88a9c3ebee3e96befb17 - 0.0% (1.75 KB)


History
2022-04-04 23:49:42 UTC

/bin/sh -c #(nop) ADD file:159dcddaab900372df882a4e94615ed84250e9cea3e74bc0479d98280342f596 in /

2022-04-04 23:49:42 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-05-26 23:50:10 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.6

2022-05-26 23:50:11 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-05-26 23:50:11 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-05-26 23:50:13 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-05-26 23:50:25 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-05-26 23:50:27 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-05-26 23:50:28 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-05-26 23:50:29 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-05-26 23:50:29 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-05-26 23:50:30 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-05-26 23:50:30 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-05-26 23:50:31 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-05-26 23:50:31 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-05-26 23:50:31 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2022-05-27 00:40:16 UTC

Size

39.6 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.11.6

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9981e73032c8833e387a8f96986e560edbed12c38119e0edb0439c9c2234eac9 - 6.54% (2.59 MB)

[#001] sha256:c2adf05ea5ec5e42eb9f9f2ec956e905676aa1f830f9482e447cbb11b3d1cf43 - 0.0% (1.21 KB)

[#002] sha256:cf2000b267bedcb17f0acd679e05cc08aceecfa396144bdd42d3e30b875563ed - 93.46% (37 MB)

[#003] sha256:ccf010f6fdedb228bc57d3c6659c8260201b55399a8d64e0a2f65fbd44b238e9 - 0.0% (142 Bytes)

[#004] sha256:f006b4aaaa3b4eef3ac73a24e60c2d8eb9ecc30c8730b6787cbbf8fbac5c4884 - 0.0% (153 Bytes)

[#005] sha256:7b4beab7e92453c1c9f92ac1d0f0931e2929f9b45a71d960ed7536d16de6eaa8 - 0.0% (1.75 KB)


History
2022-04-04 23:39:31 UTC

/bin/sh -c #(nop) ADD file:90e56af13188c7f0283d244a0d70b853d8bef8587a41f1da8eac3a2aba8964ef in /

2022-04-04 23:39:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-05-27 00:39:57 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.11.6

2022-05-27 00:39:58 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.11.6 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2022-05-27 00:39:59 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2022-05-27 00:40:00 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c addgroup consul && adduser -S -G consul consul

2022-05-27 00:40:07 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2022-05-27 00:40:08 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2022-05-27 00:40:09 UTC

|1 CONSUL_VERSION=1.11.6 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2022-05-27 00:40:10 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2022-05-27 00:40:11 UTC

/bin/sh -c #(nop) EXPOSE 8300

2022-05-27 00:40:12 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2022-05-27 00:40:13 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2022-05-27 00:40:15 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2022-05-27 00:40:15 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-05-27 00:40:16 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]